edu.sc.seis.sod.validator.model

## Class NamedElement

- java.lang.Object
- - edu.sc.seis.sod.validator.model.AbstractForm
  - - edu.sc.seis.sod.validator.model.AbstractGenitorForm
    - - edu.sc.seis.sod.validator.model.NamedElement

- All Implemented Interfaces:
    Form, FormProvider, GenitorForm

      public class NamedElement
      extends AbstractGenitorForm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedElement(int min, int max, java.lang.String name)`
    `NamedElement(int min, int max, java.lang.String name, Form parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Tourist v)`
    `FormProvider` | `copyWithNewParent(Form newParent)`
    `Attribute[]` | `getAttributes()`
    `NamedElement[]` | `getElementalChildren()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getXPath()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class edu.sc.seis.sod.validator.model.AbstractGenitorForm

      `copyGutsOver, getChild, isAncestorOf`

    - ### Methods inherited from class edu.sc.seis.sod.validator.model.AbstractForm

      `copyGutsOver, deref, getAnnotation, getDef, getForm, getMax, getMin, getNamespace, getParent, isAncestorOf, isFromDef, setAnnotation, setMax, setMin, setNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.validator.model.Form

      `deref, getAnnotation, getDef, getNamespace, getParent, isAncestorOf, isFromDef`

    - ### Methods inherited from interface edu.sc.seis.sod.validator.model.FormProvider

      `getForm, getMax, getMin, setAnnotation, setMax, setMin`

- - ### Constructor Detail

    - #### NamedElement

          public NamedElement(int min,
                              int max,
                              java.lang.String name)

    - #### NamedElement

          public NamedElement(int min,
                              int max,
                              java.lang.String name,
                              Form parent)

  - ### Method Detail

    - #### getXPath

          public java.lang.String getXPath()

      Specified by:
        `getXPath` in interface `Form`
      Overrides:
        `getXPath` in class `AbstractForm`

    - #### getAttributes

          public Attribute[] getAttributes()

    - #### getElementalChildren

          public NamedElement[] getElementalChildren()

    - #### getName

          public java.lang.String getName()

    - #### copyWithNewParent

          public FormProvider copyWithNewParent(Form newParent)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### accept

          public void accept(Tourist v)

      Specified by:
        `accept` in interface `Form`
      Overrides:
        `accept` in class `AbstractGenitorForm`